Skip to Content
webagent docs
API reference

Profiles

Saved browser profiles (cookies and storage).

Open as .md

List browser profiles

GET
/v1/profiles

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Response Body

OK

application/json
  1. response
profiles*array<>
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles'
Example Response
{  "profiles": [    {      "id": "string",      "name": "string",      "sizeBytes": 0,      "createdAt": 0,      "updatedAt": 0,      "source": "string",      "engine": "chromium"    }  ]}
POST
/v1/profiles

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Query Parameters

name?string
Length1 <= length <= 100
Default"imported"

Request Body

body*fileapplication/octet-stream
Formatbinary

Response Body

OK

application/json
  1. response
id*string
name*string
sizeBytes*integer
Range0 <= value <= 9007199254740991
createdAt*number
updatedAt*number
source*string
engine*string
Value in"chromium""firefox""webkit"
Example Request
curl -X POST 'https://api.us.webagent.lookover.ai/v1/profiles' \  -H 'Content-Type: application/octet-stream' \  -d 'string'
Example Response
{  "id": "string",  "name": "string",  "sizeBytes": 0,  "createdAt": 0,  "updatedAt": 0,  "source": "string",  "engine": "chromium"}

Get a profile

GET
/v1/profiles/{id}

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^prof_(us|in)_[0-9a-z]{24}$

Response Body

OK

application/json
  1. response
id*string
name*string
sizeBytes*integer
Range0 <= value <= 9007199254740991
createdAt*number
updatedAt*number
source*string
engine*string
Value in"chromium""firefox""webkit"
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles/string'
Example Response
{  "id": "string",  "name": "string",  "sizeBytes": 0,  "createdAt": 0,  "updatedAt": 0,  "source": "string",  "engine": "chromium"}

Rename a profile

PATCH
/v1/profiles/{id}

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^prof_(us|in)_[0-9a-z]{24}$

Request Body

application/json
  1. body
name*string
Length1 <= length <= 100

Response Body

OK

application/json
  1. response
id*string
name*string
sizeBytes*integer
Range0 <= value <= 9007199254740991
createdAt*number
updatedAt*number
source*string
engine*string
Value in"chromium""firefox""webkit"
Example Request
curl -X PATCH 'https://api.us.webagent.lookover.ai/v1/profiles/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "name": "string",  "sizeBytes": 0,  "createdAt": 0,  "updatedAt": 0,  "source": "string",  "engine": "chromium"}

Delete a profile

DELETE
/v1/profiles/{id}

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^prof_(us|in)_[0-9a-z]{24}$

Response Body

OK

application/json
  1. response
deleted*boolean
Example Request
curl -X DELETE 'https://api.us.webagent.lookover.ai/v1/profiles/string'
Example Response
{  "deleted": true}
GET
/v1/profiles/{id}/archive

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Path Parameters

id*string
Match^prof_(us|in)_[0-9a-z]{24}$

Response Body

The bytes

response?fileapplication/octet-stream
Formatbinary
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/profiles/string/archive'
Example Response
"string"